<?php

use Illuminate\Database\Seeder;

class FormBlocksTableSeeder extends Seeder {
  /**
   * Run the database seeds.
   *
   * @return void
   */
  public function run() {
    DB::table( 'form_blocks' )
      ->insert( [
                  [
                    'view_no'               => 1,
                    'delete_flag'           => 0,
                    'title'                 => 'お名前',
                    'form_type'             => 'text',
                    'name'                  => 'name',
                    'html_class'            => 'form-control',
                    'html_id'               => 'name',
                    'required_error_msg'    => 'お名前を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 2,
                    'delete_flag'           => 0,
                    'title'                 => 'フリガナ',
                    'form_type'             => 'text',
                    'name'                  => 'furigana',
                    'html_class'            => 'form-control',
                    'html_id'               => 'furigana',
                    'required_error_msg'    => 'フリガナを入力してください',
                    'restriction_error_msg' => 'カタカナで入力してください',
                    'length_error_msg'      => '',
                    'restriction'           => 'katakana',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 3,
                    'delete_flag'           => 0,
                    'title'                 => '郵便番号',
                    'form_type'             => 'text',
                    'name'                  => 'zip',
                    'html_class'            => 'form-control',
                    'html_id'               => 'zip',
                    'required_error_msg'    => '郵便番号を入力してください',
                    'restriction_error_msg' => '郵便番号(000-0000)の形式で入力してください',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 4,
                    'delete_flag'           => 0,
                    'title'                 => '都道府県',
                    'form_type'             => 'select',
                    'name'                  => 'pref',
                    'html_class'            => '',
                    'html_id'               => 'pref',
                    'required_error_msg'    => '都道府県を選択してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 5,
                    'delete_flag'           => 0,
                    'title'                 => '住所',
                    'form_type'             => 'text',
                    'name'                  => 'address',
                    'html_class'            => 'form-control',
                    'html_id'               => 'address',
                    'required_error_msg'    => '住所を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 6,
                    'delete_flag'           => 0,
                    'title'                 => '電話番号',
                    'form_type'             => 'tel',
                    'name'                  => 'tel',
                    'html_class'            => 'form-control',
                    'html_id'               => 'tel',
                    'required_error_msg'    => '電話番号を入力してください',
                    'restriction_error_msg' => '電話番号の形式(00000000000)で入力してください',
                    'length_error_msg'      => '',
                    'restriction'           => 'tel',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 7,
                    'delete_flag'           => 0,
                    'title'                 => 'メールアドレス',
                    'form_type'             => 'email',
                    'name'                  => 'email',
                    'html_class'            => 'form-control',
                    'html_id'               => 'email',
                    'required_error_msg'    => 'メールアドレスを入力してください',
                    'restriction_error_msg' => 'メールアドレスの形式で入力してください',
                    'length_error_msg'      => '',
                    'restriction'           => 'email',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 8,
                    'delete_flag'           => 0,
                    'title'                 => 'メールアドレス確認用',
                    'form_type'             => 'email',
                    'name'                  => 'conf_email',
                    'html_class'            => 'form-control',
                    'html_id'               => 'conf_email',
                    'required_error_msg'    => '確認用メールアドレスを入力してください',
                    'restriction_error_msg' => 'メールアドレスの形式で入力してください',
                    'length_error_msg'      => '',
                    'restriction'           => 'email',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 9,
                    'delete_flag'           => 0,
                    'title'                 => 'お問い合せ内容',
                    'form_type'             => 'textarea',
                    'name'                  => 'contents',
                    'html_class'            => 'form-control',
                    'html_id'               => 'contents',
                    'required_error_msg'    => 'お問い合せ内容を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 10,
                    'delete_flag'           => 0,
                    'title'                 => '添付画像',
                    'form_type'             => 'file',
                    'name'                  => 'attach_image',
                    'html_class'            => 'form-control',
                    'html_id'               => 'attach_image',
                    'required_error_msg'    => '添付画像を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 11,
                    'delete_flag'           => 0,
                    'title'                 => '姓',
                    'form_type'             => 'text',
                    'name'                  => 'last_name',
                    'html_class'            => 'form-control',
                    'html_id'               => 'last_name',
                    'required_error_msg'    => '姓を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 12,
                    'delete_flag'           => 0,
                    'title'                 => '名',
                    'form_type'             => 'text',
                    'name'                  => 'first_name',
                    'html_class'            => 'form-control',
                    'html_id'               => 'first_name',
                    'required_error_msg'    => '姓を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 13,
                    'delete_flag'           => 0,
                    'title'                 => 'フリガナ姓',
                    'form_type'             => 'text',
                    'name'                  => 'last_name_furigana',
                    'html_class'            => 'form-control',
                    'html_id'               => 'last_name_furigana',
                    'required_error_msg'    => 'フリガナ姓を入力してください',
                    'restriction_error_msg' => 'カタカナで入力してください',
                    'length_error_msg'      => '',
                    'restriction'           => 'katakana',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 14,
                    'delete_flag'           => 0,
                    'title'                 => 'フリガナ名',
                    'form_type'             => 'text',
                    'name'                  => 'first_name_furigana',
                    'html_class'            => 'form-control',
                    'html_id'               => 'first_name_furigana',
                    'required_error_msg'    => 'フリガナ名を入力してください',
                    'restriction_error_msg' => 'カタカナで入力してください',
                    'length_error_msg'      => '',
                    'restriction'           => 'katakana',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 15,
                    'delete_flag'           => 0,
                    'title'                 => 'FAX番号',
                    'form_type'             => 'tel',
                    'name'                  => 'fax',
                    'html_class'            => 'form-control',
                    'html_id'               => 'fax',
                    'required_error_msg'    => 'FAX番号を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 16,
                    'delete_flag'           => 0,
                    'title'                 => '会社名',
                    'form_type'             => 'text',
                    'name'                  => 'company_name',
                    'html_class'            => 'form-control',
                    'html_id'               => 'company_name',
                    'required_error_msg'    => '会社名を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 17,
                    'delete_flag'           => 0,
                    'title'                 => '担当者名',
                    'form_type'             => 'text',
                    'name'                  => 'staff_name',
                    'html_class'            => 'form-control',
                    'html_id'               => 'staff_name',
                    'required_error_msg'    => '担当者名を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 18,
                    'delete_flag'           => 0,
                    'title'                 => '役職',
                    'form_type'             => 'text',
                    'name'                  => 'official_position',
                    'html_class'            => 'form-control',
                    'html_id'               => 'official_position',
                    'required_error_msg'    => '役職を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 19,
                    'delete_flag'           => 0,
                    'title'                 => '日付',
                    'form_type'             => 'date',
                    'name'                  => 'date',
                    'html_class'            => 'form-control',
                    'html_id'               => 'date',
                    'required_error_msg'    => '日付を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 20,
                    'delete_flag'           => 0,
                    'title'                 => '時刻',
                    'form_type'             => 'time',
                    'name'                  => 'time',
                    'html_class'            => 'form-control',
                    'html_id'               => 'time',
                    'required_error_msg'    => '時刻を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 21,
                    'delete_flag'           => 0,
                    'title'                 => '郵便番号付き住所',
                    'form_type'             => 'zp_address',
                    'name'                  => 'zp_address',
                    'html_class'            => 'form-control',
                    'html_id'               => 'zp_address',
                    'required_error_msg'    => '住所を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 22,
                    'delete_flag'           => 0,
                    'title'                 => '氏名',
                    'form_type'             => 'first_last_name',
                    'name'                  => 'first_last_name',
                    'html_class'            => 'form-control',
                    'html_id'               => '',
                    'required_error_msg'    => 'お名前を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 23,
                    'delete_flag'           => 0,
                    'title'                 => 'URL',
                    'form_type'             => 'url',
                    'name'                  => 'url',
                    'html_class'            => 'form-control',
                    'html_id'               => 'url',
                    'required_error_msg'    => 'URLを入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 24,
                    'delete_flag'           => 0,
                    'title'                 => 'お名前（法人名）',
                    'form_type'             => 'text',
                    'name'                  => 'corporation_name',
                    'html_class'            => 'form-control',
                    'html_id'               => 'corporation_name',
                    'required_error_msg'    => 'お名前（法人名）を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 25,
                    'delete_flag'           => 0,
                    'title'                 => '参加希望日',
                    'form_type'             => 'radio',
                    'name'                  => 'event',
                    'html_class'            => 'event',
                    'html_id'               => 'event',
                    'required_error_msg'    => '参加希望日を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => 1,
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 26,
                    'delete_flag'           => 0,
                    'title'                 => 'ご意見・ご質問等',
                    'form_type'             => 'textarea',
                    'name'                  => 'question',
                    'html_class'            => 'question',
                    'html_id'               => 'question',
                    'required_error_msg'    => 'ご意見・ご質問等を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 27,
                    'delete_flag'           => 0,
                    'title'                 => '何を見て知りましたか？',
                    'form_type'             => 'radio',
                    'name'                  => 'know',
                    'html_class'            => 'know',
                    'html_id'               => 'know',
                    'required_error_msg'    => '',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => 1,
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 28,
                    'delete_flag'           => 0,
                    'title'                 => '紹介者（いない場合はなし）',
                    'form_type'             => 'textarea',
                    'name'                  => 'introduces',
                    'html_class'            => 'introduces',
                    'html_id'               => 'introduces',
                    'required_error_msg'    => '',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 29,
                    'delete_flag'           => 0,
                    'title'                 => '個人情報の取り扱いについて',
                    'form_type'             => 'checkbox',
                    'name'                  => 'personal',
                    'html_class'            => 'personal',
                    'html_id'               => 'personal',
                    'required_error_msg'    => '個人情報の取扱いに同意するをチェックしてください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => 1,
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '<p></p><p>下記事項をご確認の上、同意していただける場合は[同意する]にチェックを入れてください。<br><br></p><textarea style="overflow:scroll; height:250px; width: 100%;" readonly="" class="">&lt;&lt;ここに個人情報保護方針が入ります。&gt;&gt; &lt;&lt;ここに個人情報保護方針が入ります。&gt;&gt; &lt;&lt;ここに個人情報保護方針が入ります。&gt;&gt; &lt;&lt;ここに個人情報保護方針が入ります。&gt;&gt; &lt;&lt;ここに個人情報保護方針が入ります。&gt;&gt; &lt;&lt;ここに個人情報保護方針が入ります。&gt;&gt;</textarea>&nbsp;',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 30,
                    'delete_flag'           => 0,
                    'title'                 => 'あなたは、○○を何から見聞きして知りましたか。',
                    'form_type'             => 'radio',
                    'name'                  => 'hearing',
                    'html_class'            => 'hearing',
                    'html_id'               => 'hearing',
                    'required_error_msg'    => '',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => 1,
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 31,
                    'delete_flag'           => 0,
                    'title'                 => '○○をどこで購入しましたか。',
                    'form_type'             => 'radio',
                    'name'                  => 'purchase',
                    'html_class'            => 'purchase',
                    'html_id'               => 'purchase',
                    'required_error_msg'    => '',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => 1,
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 32,
                    'delete_flag'           => 0,
                    'title'                 => '○○を購入した理由をすべてお知らせください。',
                    'form_type'             => 'checkbox',
                    'name'                  => 'reason',
                    'html_class'            => 'reason',
                    'html_id'               => 'reason',
                    'required_error_msg'    => '',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => 1,
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '<p><font color="#ff0000">複数選択可</font></p><p><font color="#ff0000"><br></font></p>',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 33,
                    'delete_flag'           => 0,
                    'title'                 => '○○に対して、総合的にどのくらい満足していますか。',
                    'form_type'             => 'radio',
                    'name'                  => 'satisfaction',
                    'html_class'            => 'satisfaction',
                    'html_id'               => 'satisfaction',
                    'required_error_msg'    => '',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 34,
                    'delete_flag'           => 0,
                    'title'                 => '○○に対して前問のように回答した理由をお書きください。',
                    'form_type'             => 'textarea',
                    'name'                  => 'answer_reason',
                    'html_class'            => 'answer_reason',
                    'html_id'               => 'answer_reason',
                    'required_error_msg'    => '',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 35,
                    'delete_flag'           => 0,
                    'title'                 => '味の満足度についてお知らせください。',
                    'form_type'             => 'radio',
                    'name'                  => 'taste',
                    'html_class'            => 'taste',
                    'html_id'               => 'taste',
                    'required_error_msg'    => '',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 36,
                    'delete_flag'           => 0,
                    'title'                 => '量の満足度についてお知らせください。',
                    'form_type'             => 'radio',
                    'name'                  => 'amount',
                    'html_class'            => 'amount',
                    'html_id'               => 'amount',
                    'required_error_msg'    => '',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 37,
                    'delete_flag'           => 0,
                    'title'                 => '価格の満足度についてお知らせください。',
                    'form_type'             => 'radio',
                    'name'                  => 'price',
                    'html_class'            => 'price',
                    'html_id'               => 'price',
                    'required_error_msg'    => '',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 38,
                    'delete_flag'           => 0,
                    'title'                 => '性別',
                    'form_type'             => 'radio',
                    'name'                  => 'gender',
                    'html_class'            => 'gender',
                    'html_id'               => 'gender',
                    'required_error_msg'    => '',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => 1,
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 39,
                    'delete_flag'           => 0,
                    'title'                 => '年齢',
                    'form_type'             => 'select',
                    'name'                  => 'age',
                    'html_class'            => 'age',
                    'html_id'               => 'age',
                    'required_error_msg'    => '',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => 1,
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                  [
                    'view_no'               => 40,
                    'delete_flag'           => 0,
                    'title'                 => 'お名前',//お名前(フリガナ補完)
                    'form_type'             => 'name_and_furigana',
                    'name'                  => 'name_and_furigana',
                    'html_class'            => 'name_and_furigana',
                    'html_id'               => 'name_and_furigana',
                    'required_error_msg'    => 'お名前を入力してください',
                    'restriction_error_msg' => '全角カタカナで入力してください',
                    'length_error_msg'      => '',
                    'restriction'           => 'katakana',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                    'description_above'     => '',
                    'description_below'     => '',
                  ],
                ] );
  }
}
